package cn.com.qmth.stmms.common.enums;

public enum LibraryStatus {
    WAITING("未处理", 0), QUEUED("已放入队列", 1), EXCEPTION("异常待处理", 2), MARKED("已给分", 3), BACKED("已打回", 4);

    private String name;

    private int value;

    private LibraryStatus(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static LibraryStatus findByValue(int value) {
        for (LibraryStatus c : LibraryStatus.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }
}
